# Constant Field Values

## jebl.evolution.*

jebl.evolution.io.FastaImporter
Modifier and Type
Constant Field
Value
`public static final String`
`descriptionPropertyName`
`"description"`
jebl.evolution.io.NexusExporter
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_ROW_LENGTH`
`60`
`public static final String`
`treeNameAttributeKey`
`"name"`

jebl.evolution.sequences.AminoAcids
Modifier and Type
Constant Field
Value
`public static final int`
`CANONICAL_STATE_COUNT`
`22`
`public static final String`
`NAME`
`"amino acid"`
`public static final int`
`STATE_COUNT`
`29`
jebl.evolution.sequences.Codons
Modifier and Type
Constant Field
Value
`public static final int`
`CANONICAL_STATE_COUNT`
`64`
`public static final String`
`NAME`
`"codon"`
`public static final int`
`STATE_COUNT`
`66`
jebl.evolution.sequences.Nucleotides
Modifier and Type
Constant Field
Value
`public static final int`
`CANONICAL_STATE_COUNT`
`4`
`public static final String`
`NAME`
`"nucleotide"`
`public static final int`
`STATE_COUNT`
`17`

jebl.evolution.trees.CalculateSplitRates
Modifier and Type
Constant Field
Value
`public final String`
`INDICATOR`
`"changed"`
`public final String`
`RATE`
`"rate"`
jebl.evolution.trees.ConsensusTreeBuilder<T>
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SUPPORT_ATTRIBUTE_NAME`
`"Consensus support(%)"`

## jebl.math.*

jebl.math.MachineAccuracy
Modifier and Type
Constant Field
Value
`public static final double`
`EPSILON`
`2.220446049250313E-16`
`public static final double`
`SQRT_EPSILON`
`1.4901161193847656E-8`
`public static final double`
`SQRT_SQRT_EPSILON`
`1.220703125E-4`